Get Appstore Permissions
curl --request GET \
--url https://api.lumos.com/appstore/requestable_permissions \
--header 'Authorization: Bearer <token>'import requests
url = "https://api.lumos.com/appstore/requestable_permissions"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://api.lumos.com/appstore/requestable_permissions', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));<?php
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_URL => "https://api.lumos.com/appstore/requestable_permissions",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "GET",
CURLOPT_HTTPHEADER => [
"Authorization: Bearer <token>"
],
]);
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}package main
import (
"fmt"
"net/http"
"io"
)
func main() {
url := "https://api.lumos.com/appstore/requestable_permissions"
req, _ := http.NewRequest("GET", url, nil)
req.Header.Add("Authorization", "Bearer <token>")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}HttpResponse<String> response = Unirest.get("https://api.lumos.com/appstore/requestable_permissions")
.header("Authorization", "Bearer <token>")
.asString();require 'uri'
require 'net/http'
url = URI("https://api.lumos.com/appstore/requestable_permissions")
http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true
request = Net::HTTP::Get.new(url)
request["Authorization"] = 'Bearer <token>'
response = http.request(request)
puts response.read_body{
"items": [
{
"label": "<string>",
"app_id": "<string>",
"app_class_id": "<string>",
"app_instance_id": "<string>",
"id": "<string>",
"type": "SYNCED",
"request_config": {
"appstore_visibility": "HIDDEN",
"allowed_groups_override": true,
"allowed_groups": {
"type": "ALL_GROUPS",
"groups": []
},
"request_approval_config": {
"manager_approval": "NONE",
"request_approval_stages": [
{}
]
},
"request_fulfillment_config": {},
"access_removal_inline_webhook": {
"id": "<string>",
"hook_type": "PRE_APPROVAL",
"name": "<string>",
"description": "<string>"
},
"request_validation_inline_webhook": {
"id": "<string>",
"hook_type": "PRE_APPROVAL",
"name": "<string>",
"description": "<string>"
}
}
}
],
"total": 1,
"page": 2,
"size": 2,
"pages": 1
}{
"detail": [
{
"loc": [
"<string>"
],
"msg": "<string>",
"type": "<string>"
}
]
}AppStore
Get Appstore Permissions
Get AppStore permissions for an application.
GET
/
appstore
/
requestable_permissions
Get Appstore Permissions
curl --request GET \
--url https://api.lumos.com/appstore/requestable_permissions \
--header 'Authorization: Bearer <token>'import requests
url = "https://api.lumos.com/appstore/requestable_permissions"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://api.lumos.com/appstore/requestable_permissions', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));<?php
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_URL => "https://api.lumos.com/appstore/requestable_permissions",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "GET",
CURLOPT_HTTPHEADER => [
"Authorization: Bearer <token>"
],
]);
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}package main
import (
"fmt"
"net/http"
"io"
)
func main() {
url := "https://api.lumos.com/appstore/requestable_permissions"
req, _ := http.NewRequest("GET", url, nil)
req.Header.Add("Authorization", "Bearer <token>")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}HttpResponse<String> response = Unirest.get("https://api.lumos.com/appstore/requestable_permissions")
.header("Authorization", "Bearer <token>")
.asString();require 'uri'
require 'net/http'
url = URI("https://api.lumos.com/appstore/requestable_permissions")
http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true
request = Net::HTTP::Get.new(url)
request["Authorization"] = 'Bearer <token>'
response = http.request(request)
puts response.read_body{
"items": [
{
"label": "<string>",
"app_id": "<string>",
"app_class_id": "<string>",
"app_instance_id": "<string>",
"id": "<string>",
"type": "SYNCED",
"request_config": {
"appstore_visibility": "HIDDEN",
"allowed_groups_override": true,
"allowed_groups": {
"type": "ALL_GROUPS",
"groups": []
},
"request_approval_config": {
"manager_approval": "NONE",
"request_approval_stages": [
{}
]
},
"request_fulfillment_config": {},
"access_removal_inline_webhook": {
"id": "<string>",
"hook_type": "PRE_APPROVAL",
"name": "<string>",
"description": "<string>"
},
"request_validation_inline_webhook": {
"id": "<string>",
"hook_type": "PRE_APPROVAL",
"name": "<string>",
"description": "<string>"
}
}
}
],
"total": 1,
"page": 2,
"size": 2,
"pages": 1
}{
"detail": [
{
"loc": [
"<string>"
],
"msg": "<string>",
"type": "<string>"
}
]
}Authorizations
Bearer authentication header of the form Bearer <token>, where <token> is your auth token.
Query Parameters
Filters requestable permissions by the ID of the app to which they belong.
Searches permissions by the permission's group name,
request configuration name, or specific integration ID.
Search filter should be an exact match.
Filters permissions by visibility in the AppStore.
Include inherited configurations from parent app.
Page number
Required range:
x >= 1Page size
Required range:
1 <= x <= 100